Bug 146058 - I18N - debugger.html in webcommon/modules/ext not in l10n kit
I18N - debugger.html in webcommon/modules/ext not in l10n kit
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: -- Other --
6.x
Sun All
: P1 (vote)
: 6.x
Assigned To: issues@obsolete
issues@javascript
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 15:47 UTC by Ken Frank
Modified: 2009-02-27 14:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2008-09-03 15:47:09 UTC
is the webcommon1/modules/ext/debugger.html meant to be translated -
there is just the one message in it.

if so, is it setup so that the localized version will
be found in its in same dir as en one ?

and also it would need to go into l10n kit by adding 
pattern to the patterns file - see examples in patterns
file of http://hg.netbeans.org/main/file/tip/nbbuild/l10n.patterns
Comment 1 Peter Zavadsky 2008-09-05 22:03:43 UTC
There is needed following change in the code:
diff -r 8c6a29b599f9 web.client.tools.common/src/org/netbeans/modules/web/client/tools/common/launcher/Utils.java
--- a/web.client.tools.common/src/org/netbeans/modules/web/client/tools/common/launcher/Utils.java	Fri Sep 05 20:43:50
2008 +0400
+++ b/web.client.tools.common/src/org/netbeans/modules/web/client/tools/common/launcher/Utils.java	Fri Sep 05 14:02:16
2008 -0700
@@ -106,7 +106,7 @@ public class Utils {
                     // which this file lives. The code name base can be found in
                     // nbproject/project.xml
                     "org.netbeans.modules.web.client.tools.common", // NOI18N
-                    false));
+                    true));
         }
         return debuggerDotHtmlFileObject;
     }


and also to provide the l10n.list file for that module (or is there some l10n.list handling that module?)
Comment 2 Ken Frank 2008-09-06 16:06:40 UTC
there is no more l10n.lists for each module - kit is built from product nbms -
add to the pattern file mentioned below a special pattern sort of like existing ones, for example,
 **/docs/syntaxref20.zip:

 **/docs/GUIExamplesDescription.html:

that is, this debugger.html file is not in a jar, its a separate file - see this doc for explanation and/or contact BE.
http://jupiter.czech.sun.com/wiki/view/Netbeans/Nb61-l10nkit-how-to-fix

ken.frank@sun.com 
Comment 3 Peter Zavadsky 2008-09-08 21:39:56 UTC
Thanks for the explanation with the l10n.list's.
In nbbuild/l10n.patterns there seems to be already pattern matching this .html:
**/*.jar:**/*.html

So I go ahead and just fix the code.
Comment 4 Peter Zavadsky 2008-09-08 21:51:50 UTC
Fixed.

changeset:   100666:5bbdca481a9d
tag:         tip
user:        Peter Zavadsky <pzavadsky@netbeans.org>
date:        Mon Sep 08 13:44:14 2008 -0700
summary:     #146058 Fixing i18n of launching html.
Comment 5 Ken Frank 2008-09-08 23:44:08 UTC
that jar line won't do it - that jar line is saying in any jar, file, 
get any html file into kit.

but this is a standalone file in nb, not in a jar, thus specfic line
in patterns file is needed - see my 9/6 comments in this issue.

ken.frank@sun.com
Comment 6 Quality Engineering 2008-09-09 17:36:18 UTC
Integrated into 'main-golden', will be available in build *200809091401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/5bbdca481a9d
User: Peter Zavadsky <pzavadsky@netbeans.org>
Log: #146058 Fixing i18n of launching html.
Comment 7 Ken Frank 2008-09-09 17:49:02 UTC
please make sure to add the pattern to patterns file as discussed below.
Comment 8 Ken Frank 2008-10-14 21:29:39 UTC
reopening - the file is not in l10n kit since not in the patterns file mentioned below - please
solve now as final kit is due tomorrow 10/15.

put into trunk and 6.5 branch please.

http://hg.netbeans.org/release65/file/tip/nbbuild/l10n.patterns 

pattern would be like

**/ext/debugger.html: 

ken.frank@sun.com
Comment 9 Ken Frank 2008-10-14 21:32:24 UTC
once the pattern is added, check the kit to make sure the file is really there -
see trunk build/zip/ide-<date>.zip -- that is the l10n kit.

ken.frank@sun.com
Comment 10 Peter Zavadsky 2008-10-15 18:39:39 UTC
Oh I see now, the html was not put into jar (that's a bad pattern, but probably too late to change it now).
OK, I am going to push it into trunk first. Then bump up the priority and request to put it into trunk (hopefully I
manage it all today).
Comment 11 Peter Zavadsky 2008-10-15 18:42:33 UTC
Fixed in trunk:

changeset:   105981:de8e9b4032fd
tag:         tip
user:        Peter Zavadsky <pzavadsky@netbeans.org>
date:        Wed Oct 15 10:40:52 2008 -0700
summary:     #146058 Adding pattern to include debugger.html page to get localized.
Comment 12 Peter Zavadsky 2008-10-15 18:44:59 UTC
This seems to be important not to be omitted in l10n kit. The fix is very simple and should be safe. Bumping up to P1 to
get this into 65 branch, it seems to be important for l10n team.
Comment 13 Ken Frank 2008-10-15 21:30:01 UTC
as per Mark's request, am endorsing that its needed to complete the fix for this issue, that of
adding the file to l10n kit; the code fix part of this issue happened some time ago.

ken.frank@sun.com
Comment 14 Peter Zavadsky 2008-10-15 23:46:51 UTC
Fixed also in release65 branch.

changeset:   105876:4d46b038788e
tag:         tip
user:        Peter Zavadsky <pzavadsky@netbeans.org>
date:        Wed Oct 15 15:45:17 2008 -0700
summary:     #146058 Adding pattern to get localized debugger.html from web.client.tools.common module.
Comment 15 Quality Engineering 2008-10-16 04:12:56 UTC
Integrated into 'main-golden', will be available in build *200810160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/de8e9b4032fd
User: Peter Zavadsky <pzavadsky@netbeans.org>
Log: #146058 Adding pattern to include debugger.html page to get localized.
Comment 16 Peter Zavadsky 2008-10-22 22:22:37 UTC
Fixing colon in the pattern, in trunk now (7.0).

changeset:   106460:e1133f27aa3e
tag:         tip
user:        Peter Zavadsky <pzavadsky@netbeans.org>
date:        Wed Oct 22 14:07:42 2008 -0700
summary:     #146058 Fixing missing colon in the pattern.
Comment 17 Peter Zavadsky 2008-10-22 22:56:34 UTC
Also fixed the typo in release65 branch.

changeset:   105943:962ffa433f89
tag:         tip
user:        Peter Zavadsky <pzavadsky@netbeans.org>
date:        Wed Oct 22 14:55:34 2008 -0700
summary:     #146058 Fixing typo (colon missing in the pattern).
Comment 18 Quality Engineering 2008-10-23 04:49:44 UTC
Integrated into 'main-golden', will be available in build *200810230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e1133f27aa3e
User: Peter Zavadsky <pzavadsky@netbeans.org>
Log: #146058 Fixing missing colon in the pattern.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo